ru.bitel.bgbilling.modules.yamoney.common.bean

## Class Transaction

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.common.bean.BGAbstractTransaction
    - - ru.bitel.bgbilling.modules.yamoney.common.bean.Transaction

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class Transaction
      extends BGAbstractTransaction

  Представление части информации о каждой транзакции (в БД), то, что возвращается в наш экзекутер при оплате (и это эе самое приходит при проверке).
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transaction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCancelComment(java.lang.String who, java.lang.String why)` Если платеж пришел с статусом Cancel, то можно попытаться узнать по какой причине.
    `java.lang.String` | `getContractComment()`
    `long` | `getInvoiceId()`
    `java.math.BigDecimal` | `getOrderSumAmount()`
    `ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank` | `getOrderSumBankPaycash()`
    `ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode` | `getOrderSumCurrencyPaycash()`
    `java.util.Date` | `getPaymentDateTime()`
    `java.lang.String` | `getPaymentPayerCode()`
    `java.lang.String` | `getPaymentType()`
    `java.lang.String` | `getRawRequest()`
    `java.math.BigDecimal` | `getShopSumAmount()`
    `ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank` | `getShopSumBankPaycash()`
    `ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode` | `getShopSumCurrencyPaycash()`
    `java.lang.String` | `getYandexId()`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setInvoiceId(long invoiceId)`
    `void` | `setOrderSumAmount(java.math.BigDecimal orderSumAmount)`
    `void` | `setOrderSumBankPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank orderSumBankPaycash)`
    `void` | `setOrderSumCurrencyPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode orderSumCurrencyPaycash)`
    `void` | `setPaymentDateTime(java.util.Date paymentDateTime)`
    `void` | `setPaymentPayerCode(java.lang.String paymentPayerCode)`
    `void` | `setPaymentType(java.lang.String paymentType)`
    `void` | `setRawRequest(java.lang.String rawRequest)`
    `void` | `setShopSumAmount(java.math.BigDecimal shopSumAmount)`
    `void` | `setShopSumBankPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank shopSumBankPaycash)`
    `void` | `setShopSumCurrencyPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode shopSumCurrencyPaycash)`
    `void` | `setYandexId(java.lang.String yandexId)`

    - ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

      `getContractId, getContractTitle, getCreateDate, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, isAutopayment, setAutopayment, setContractId, setContractTitle, setCreateDate, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Transaction

          public Transaction()

  - ### Method Detail

    - #### getInvoiceId

          public long getInvoiceId()

    - #### setInvoiceId

          public void setInvoiceId(long invoiceId)

    - #### getOrderSumAmount

          public java.math.BigDecimal getOrderSumAmount()

    - #### setOrderSumAmount

          public void setOrderSumAmount(java.math.BigDecimal orderSumAmount)

    - #### getOrderSumCurrencyPaycash

          public ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode getOrderSumCurrencyPaycash()

    - #### setOrderSumCurrencyPaycash

          public void setOrderSumCurrencyPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode orderSumCurrencyPaycash)

    - #### getOrderSumBankPaycash

          public ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank getOrderSumBankPaycash()

    - #### setOrderSumBankPaycash

          public void setOrderSumBankPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank orderSumBankPaycash)

    - #### getShopSumAmount

          public java.math.BigDecimal getShopSumAmount()

    - #### setShopSumAmount

          public void setShopSumAmount(java.math.BigDecimal shopSumAmount)

    - #### getShopSumCurrencyPaycash

          public ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode getShopSumCurrencyPaycash()

    - #### setShopSumCurrencyPaycash

          public void setShopSumCurrencyPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode shopSumCurrencyPaycash)

    - #### getShopSumBankPaycash

          public ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank getShopSumBankPaycash()

    - #### setShopSumBankPaycash

          public void setShopSumBankPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank shopSumBankPaycash)

    - #### getPaymentPayerCode

          public java.lang.String getPaymentPayerCode()

    - #### setPaymentPayerCode

          public void setPaymentPayerCode(java.lang.String paymentPayerCode)

    - #### getPaymentDateTime

          public java.util.Date getPaymentDateTime()

    - #### setPaymentDateTime

          public void setPaymentDateTime(java.util.Date paymentDateTime)

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

      Overrides:
        `setContractComment` in class `BGAbstractTransaction`

    - #### getContractComment

          public java.lang.String getContractComment()

      Overrides:
        `getContractComment` in class `BGAbstractTransaction`

    - #### getPaymentType

          public java.lang.String getPaymentType()

    - #### setPaymentType

          public void setPaymentType(java.lang.String paymentType)

    - #### getRawRequest

          public java.lang.String getRawRequest()

    - #### setRawRequest

          public void setRawRequest(java.lang.String rawRequest)

    - #### getYandexId

          public java.lang.String getYandexId()

    - #### setYandexId

          public void setYandexId(java.lang.String yandexId)

    - #### getCancelComment

          public static java.lang.String getCancelComment(java.lang.String who,
                                                          java.lang.String why)

      Если платеж пришел с статусом Cancel, то можно попытаться узнать по какой причине.
      Parameters:
        `who` - - кто отменил. merchant - Продавец товаров и услуг (мы), yandex_checkout - Яндекс.Касса, payment_network - кто угодно. Пока не используется.
        `why` - - причина отказа